---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: celery
  namespace: flows
spec:
  template:
    spec:
      containers:
      - name: celery
        image: cr.yandex/crp3ccidau046kdj8g9q/flows-backend_worker:production_a5d748f0
        env:
        - name: WORKFLOWS_NOTIFICATIONS_FROM_EMAIL
          value: sarex@dsinv.ru
        - name: ENABLE_METRICS
          value: '0'
        - name: ENABLE_MAILGUN
          value: '0'
        - name: SMTP_HOST
          value: relay.dsinv.ru
        - name: SMTP_PORT
          value: '25'
        - name: FROM_EMAIL
          value: sarex@dsinv.ru
        - name: MAILGUN_HOST
          value: http:localhost:8000
        - name: MAILGUN_API_KEY
          value: empty
        - name: NOTIFICATION_SETTINGS_USE_MAILGUN
          value: '0'
        - name: WORKFLOWS_HOST
          value: http://workflows-service.workflow.svc.cluster.local:8000/api/v1
        - name: FLOWS_HOST
          value: http://backend-service.flows.svc.cluster.local:8000
        - name: WORKFLOWS_NOTIFICATIONS_REGISTRY
          value: cr.yandex/crp3ccidau046kdj8g9q
        - name: WORKFLOWS_NOTIFICATIONS_SMTP_HOST
          value: relay.dsinv.ru
        - name: WORKFLOWS_NOTIFICATIONS_SMTP_PORT
          value: '25'
        - name: PLANNING_HOST
          value: http://backend-service.pm.svc.cluster.local:8000/api/pm/msp
        - name: PLANNING_USE
          value: 'True'
        - name: WORKFLOWS_NOTIFICATIONS_FROM_EMAI
          value: sarex@dsinv.ru
        - name: FLOWS_DB_HOST
          value: postgres-service.flows.svc.cluster.local
        - name: ISSUES_DB_HOST
          value: postgres-service.issues.svc.cluster.local
        - name: DEBUG
          value: '0'
        - name: PG_PORT
          value: '5432'
        - name: FLOWS_DB_PORT
          value: '5432'
        - name: ISSUES_DB_PORT
          value: '5432'
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000/api
        - name: DJANGO_BASE_HOST
          value: https://sarex.dsinv.ru
        - name: DOCUMENTATION_HOST
          value: http://documentations-service.documentations.svc.cluster.local:8080/internal/v1
        - name: BASE_HOST
          value: https://sarex.dsinv.ru
        - name: RESOURCES_HOST
          value: http://resources-service.resources.svc.cluster.local:8000/
        - name: TIMEOUT
          value: '120'
        - name: RESOURCE_URL
          value: http://resources-service.resources/api/v1
        - name: GATEWAY_URL
          value: http://pdm-api.documentations.svc.cluster.local:8080/api/v1
        - name: SYNC_RESOURCE_ID
          value: '1'
        - name: SERVICE_HOST
          value: https://sarex.dsinv.ru/flows/api/v1
        - name: ENABLE_ANALYTICS
          value: '1'
        - name: ENABLE_CELERY
          value: '1'
        - name: CELERY_QUEUE
          value: flow
        - name: RABBITMQ_HOST
          value: rabbitmq-service.flows.svc
        - name: RABBITMQ_PORT
          value: '5672'
        - name: RABBITMQ_VHOST
          value: flow
        - name: PG_HOST
          value: postgres-service.flows.svc.cluster.local
